<?php
/**
 * The MIT License (MIT)
 * 
 * Copyright (C) 2013 Yahoo Japan Corporation. All Rights Reserved. 
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

namespace YConnect;

    /** \file OIDConnectScope.php
 *
 * \brief scopeの列挙型クラスです.
 */

/**
 * \class OIDConnectScopeクラス
 *
 * \brief scopeの列挙型クラスです.
 */
class OIDConnectScope
{
    /**
     * \public \brief openid: ユーザ識別子を取得するための定数です
     */
    const OPENID = "openid";

    /**
     * \public \brief profile: 姓名・生年・性別を取得するための定数です
     */
    const PROFILE = "profile";

    /**
     * \public \brief email: メールアドレスと確認済みフラグを取得するための定数です
     */
    const EMAIL = "email";

    /**
     * \public \brief address: ユーザ登録住所情報を取得するための定数です
     */
    const ADDRESS = "address";
}

/* vim:ts=4:sw=4:sts=0:tw=0:ft=php:set et: */
